Description: Fix undefined macro error in powerpc build.
Author: Alex Vong <alexvong1995@gmail.com>
Index: mlucas/src/imul_macro0.h
===================================================================
--- mlucas.orig/src/imul_macro0.h
+++ mlucas/src/imul_macro0.h
@@ -1997,10 +1997,32 @@ or the with functions using them (if we
 	/* 64-bit stuff below defined as functions (not macros) in imul_macro.c */
 #else
 	#ifndef __MULL64
-		#error __MULL64 Undefined!
+
+		#ifndef MULL64
+			#error __MULL64 & MULL64 Undefined!
+		#else
+static inline __MULL64(uint64 x, uint64 y)
+{
+	uint64 lo;
+	MULL64(x, y, lo);
+	return lo;
+}
+		#endif
+
 	#endif
 	#ifndef __MULH64
-		#error __MULH64 Undefined!
+
+		#ifndef MULH64
+			#error __MULH64 & MULH64 Undefined!
+		#else
+static inline __MULH64(uint64 x, uint64 y)
+{
+	uint64 lo;
+	MULH64(x, y, lo);
+	return lo;
+}
+		#endif
+
 	#endif
 	#ifndef MULL64
 		#error MULL64 Undefined!
